## opsi-gel 6.11-1

=== rootfs-amd64/usr/lib/opsi-gel/gel-server-6/lib/python3.12/config-3.12-x86_64-linux-gnu/Makefile ===
# Generated automatically from Makefile.pre by makesetup.
# Top-level Makefile for Python
#
# As distributed, this file is called Makefile.pre.in; it is processed
# into the real Makefile by running the script ./configure, which
# replaces things like @spam@ with values appropriate for your system.
# This means that if you edit Makefile, your changes get lost the next
# time you run the configure script.  Ideally, you can do:
#
#	./configure
#	make
#	make test
#	make install
#
# If you have a previous version of Python installed that you don't
# want to overwrite, you can use "make altinstall" instead of "make
# install".  Refer to the "Installing" section in the README file for
# additional details.
#
# See also the section "Build instructions" in the README file.

# === Variables set by makesetup ===

MODBUILT_NAMES=      array  _asyncio  _bisect  _contextvars  _csv  _heapq  _json  _lsprof  _opcode  _pickle  _queue  _random  _struct  _xxsubinterpreters  _xxinterpchannels  _zoneinfo  math  cmath  _statistics  _datetime  _decimal  binascii  zlib  _md5  _sha1  _sha2  _sha3  _blake2  pyexpat  _elementtree  _codecs_cn  _codecs_hk  _codecs_iso2022  _codecs_jp  _codecs_kr  _codecs_tw  _multibytecodec  unicodedata  fcntl  grp  mmap  _posixsubprocess  resource  select  _socket  syslog  termios  _posixshmem  _multiprocessing  _ctypes  _ssl  _hashlib  _uuid  xxsubtype  _xxtestfuzz  _testbuffer  _testinternalcapi  _testcapi  _testclinic  _testimportmultiple  _testmultiphase  _testsinglephase  _ctypes_test  xxlimited  xxlimited_35  atexit  faulthandler  posix  _signal  _tracemalloc  _codecs  _collections  errno  _io  itertools  _sre  _thread  time  _typing  _weakref  _abc  _functools  _locale  _operator  _stat  _symtable  pwd
MODSHARED_NAMES=    array _asyncio _bisect _contextvars _csv _heapq _json _lsprof _opcode _pickle _queue _random _struct _xxsubinterpreters _xxinterpchannels _zoneinfo math cmath _statistics _datetime _decimal binascii zlib _md5 _sha1 _sha2 _sha3 _blake2 pyexpat _elementtree _codecs_cn _codecs_hk _codecs_iso2022 _codecs_jp _codecs_kr _codecs_tw _multibytecodec unicodedata fcntl grp mmap _posixsubprocess resource select _socket syslog termios _posixshmem _multiprocessing _ctypes _ssl _hashlib _uuid xxsubtype _xxtestfuzz _testbuffer _testinternalcapi _testcapi _testclinic _testimportmultiple _testmultiphase _testsinglephase _ctypes_test xxlimited xxlimited_35
MODDISABLED_NAMES=   _sqlite3 _tkinter _dbm _gdbm _lzma _bz2 _curses _curses_panel _crypt audioop readline nis ossaudiodev spwd
MODOBJS=             Modules/atexitmodule.o  Modules/faulthandler.o  Modules/posixmodule.o  Modules/signalmodule.o  Modules/_tracemalloc.o  Modules/_codecsmodule.o  Modules/_collectionsmodule.o  Modules/errnomodule.o  Modules/_io/_iomodule.o Modules/_io/iobase.o Modules/_io/fileio.o Modules/_io/bytesio.o Modules/_io/bufferedio.o Modules/_io/textio.o Modules/_io/stringio.o  Modules/itertoolsmodule.o  Modules/_sre/sre.o  Modules/_threadmodule.o  Modules/timemodule.o  Modules/_typingmodule.o  Modules/_weakref.o  Modules/_abc.o  Modules/_functoolsmodule.o  Modules/_localemodule.o  Modules/_operator.o  Modules/_stat.o  Modules/symtablemodule.o  Modules/pwdmodule.o
MODLIBS=           $(LOCALMODLIBS) $(BASEMODLIBS)

# === Variables set by configure
VERSION=	3.12
srcdir=		../../../gel-server/thirdparty/python-edgedb
VPATH=		../../../gel-server/thirdparty/python-edgedb
abs_srcdir=	/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/thirdparty/python-edgedb
abs_builddir=	/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb


CC=		gcc -pthread
CXX=		g++ -pthread
LINKCC=		$(PURIFY) $(CC)
AR=		ar
READELF=	@READELF@
SOABI=		cpython-312-x86_64-linux-gnu
LDVERSION=	$(VERSION)$(ABIFLAGS)
LIBPYTHON=	
GITVERSION=	
GITTAG=		
GITBRANCH=	
PGO_PROF_GEN_FLAG=-fprofile-generate
PGO_PROF_USE_FLAG=-fprofile-use -fprofile-correction
LLVM_PROF_MERGER=true
LLVM_PROF_FILE=
LLVM_PROF_ERR=no
DTRACE=         
DFLAGS=         
DTRACE_HEADERS= 
DTRACE_OBJS=    
DSYMUTIL=       
DSYMUTIL_PATH=  

GNULD=		yes

# Shell used by make (some versions default to the login shell, which is bad)
SHELL=		/bin/sh -e

# Use this to make a link between python$(VERSION) and python in $(BINDIR)
LN=		ln

# Portable install script (configure doesn't always guess right)
INSTALL=	/usr/bin/install -c
INSTALL_PROGRAM=${INSTALL}
INSTALL_SCRIPT= ${INSTALL}
INSTALL_DATA=	${INSTALL} -m 644
# Shared libraries must be installed with executable mode on some systems;
# rather than figuring out exactly which, we always give them executable mode.
INSTALL_SHARED= ${INSTALL} -m 755

MKDIR_P=	/usr/bin/mkdir -p

MAKESETUP=      $(srcdir)/Modules/makesetup

# Compiler options
OPT=		-DNDEBUG -g -O3 -Wall
BASECFLAGS=	 -fno-strict-overflow
BASECPPFLAGS=	-IObjects -IInclude -IPython
CONFIGURE_CFLAGS=	-fno-semantic-interposition
# CFLAGS_NODIST is used for building the interpreter and stdlib C extensions.
# Use it when a compiler flag should _not_ be part of the distutils CFLAGS
# once Python is installed (Issue #21121).
CONFIGURE_CFLAGS_NODIST= -fno-semantic-interposition -flto -fuse-linker-plugin -ffat-lto-objects -flto-partition=none -g -std=c11 -Werror=implicit-function-declaration -fvisibility=hidden
# LDFLAGS_NODIST is used in the same manner as CFLAGS_NODIST.
# Use it when a linker flag should _not_ be part of the distutils LDFLAGS
# once Python is installed (bpo-35257)
CONFIGURE_LDFLAGS_NODIST= -fno-semantic-interposition -flto -fuse-linker-plugin -ffat-lto-objects -flto-partition=none -g
# LDFLAGS_NOLTO is an extra flag to disable lto. It is used to speed up building
# of _bootstrap_python and _freeze_module tools, which don't need LTO.
CONFIGURE_LDFLAGS_NOLTO=-fno-lto
CONFIGURE_CPPFLAGS=	
CONFIGURE_LDFLAGS=	-Wl,-rpath,/opt/gel-server-6/lib -L/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/zlib/opt/gel-server-6/lib -Wl,-rpath-link,/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/zlib/opt/gel-server-6/lib -Wl,-rpath,/opt/gel-server-6/lib -L/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libffi/opt/gel-server-6/lib -Wl,-rpath-link,/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libffi/opt/gel-server-6/lib -Wl,-rpath,/opt/gel-server-6/lib -L/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/uuid/opt/gel-server-6/lib -Wl,-rpath-link,/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/uuid/opt/gel-server-6/lib -Wl,-rpath,/opt/gel-server-6/lib -L/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/openssl/opt/gel-server-6/lib -Wl,-rpath-link,/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/openssl/opt/gel-server-6/lib -Wl,-rpath,/opt/gel-server-6/lib -L/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libb2/opt/gel-server-6/lib -Wl,-rpath-link,/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libb2/opt/gel-server-6/lib -Wl,-rpath,/opt/gel-server-6/lib -static-libgcc -static-libstdc++ -Wl,--as-needed,-zorigin,--disable-new-dtags,-zrelro,-znow -L/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/zlib/opt/gel-server-6/lib/ -Wl,-rpath-link,/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/zlib/opt/gel-server-6/lib -L/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libffi/opt/gel-server-6/lib/ -Wl,-rpath-link,/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libffi/opt/gel-server-6/lib -L/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/uuid/opt/gel-server-6/lib/ -Wl,-rpath-link,/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/uuid/opt/gel-server-6/lib -L/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/openssl/opt/gel-server-6/lib/ -Wl,-rpath-link,/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/openssl/opt/gel-server-6/lib -L/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libb2/opt/gel-server-6/lib/ -Wl,-rpath-link,/tmp/metapkg.3ylp7lvf/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libb2/opt/gel-server-6/lib
# Avoid assigning CFLAGS, LDFLAGS, etc. so users can use them on the
# command line to append to these values without stomping the pre-set
# values.
PY_CFLAGS=	$(BASECFLAGS) $(OPT) $(CONFIGURE_CFLAGS) $(CFLAGS) $(EXTRA_CFLAGS)
PY_CFLAGS_NODIST=$(CONFIGURE_CFLAGS_NODIST) $(CFLAGS_NODIST) -I$(srcdir)/Include/internal
# Both CPPFLAGS and LDFLAGS need to contain the shell's value for setup.py to
# be able to build extension modules using the directories specified in the
# environment variables
PY_CPPFLAGS=	$(BASECPPFLAGS) -I. -I$(srcdir)/Include $(CONFIGURE_CPPFLAGS) $(CPPFLAGS)
PY_LDFLAGS=	$(CONFIGURE_LDFLAGS) $(LDFLAGS)
PY_LDFLAGS_NODIST=$(CONFIGURE_LDFLAGS_NODIST) $(LDFLAGS_NODIST)
PY_LDFLAGS_NOLTO=$(PY_LDFLAGS) $(CONFIGURE_LDFLAGS_NOLTO) $(LDFLAGS_NODIST)
NO_AS_NEEDED=	-Wl,--no-as-needed
CCSHARED=	-fPIC
# LINKFORSHARED are the flags passed to the $(CC) command that links
# the python executable -- this is only needed for a few systems
LINKFORSHARED=	-Xlinker -export-dynamic
ARFLAGS=	rcs
# Extra C flags added for building the interpreter object files.
CFLAGSFORSHARED=
# C flags used for building the interpreter object files
PY_STDMODULE_CFLAGS= $(PY_CFLAGS) $(PY_CFLAGS_NODIST) $(PY_CPPFLAGS) $(CFLAGSFORSHARED)
PY_BUILTIN_MODULE_CFLAGS= $(PY_STDMODULE_CFLAGS) -DPy_BUILD_CORE_BUILTIN
PY_CORE_CFLAGS=	$(PY_STDMODULE_CFLAGS) -DPy_BUILD_CORE
# Linker flags used for building the interpreter object files
PY_CORE_LDFLAGS=$(PY_LDFLAGS) $(PY_LDFLAGS_NODIST)
# Strict or non-strict aliasing flags used to compile dtoa.c, see above
CFLAGS_ALIASING=


# Machine-dependent subdirectories
MACHDEP=	linux

# Multiarch directory (may be empty)
MULTIARCH=	x86_64-linux-gnu
MULTIARCH_CPPFLAGS = -DMULTIARCH=\"x86_64-linux-gnu\"

# Install prefix for architecture-independent files
prefix=		/opt/gel-server-6

# Install prefix for architecture-dependent files
exec_prefix=	${prefix}

# Install prefix for data files
datarootdir=    /opt/gel-server-6/share

# Expanded directories
BINDIR=		/opt/gel-server-6/bin
LIBDIR=		/opt/gel-server-6/lib
MANDIR=		/opt/gel-server-6/share/man
INCLUDEDIR=	/opt/gel-server-6/include
CONFINCLUDEDIR= /opt/gel-server-6/include
PLATLIBDIR=	lib
SCRIPTDIR=	$(prefix)/$(PLATLIBDIR)
ABIFLAGS=	
# executable name for shebangs
EXENAME=	$(BINDIR)/python$(LDVERSION)$(EXE)
# Variable used by ensurepip
WHEEL_PKG_DIR=	

# Detailed destination directories
BINLIBDEST=	$(LIBDIR)/python$(VERSION)
LIBDEST=	$(SCRIPTDIR)/python$(VERSION)
INCLUDEPY=	$(INCLUDEDIR)/python$(LDVERSION)
CONFINCLUDEPY=	$(CONFINCLUDEDIR)/python$(LDVERSION)

# Symbols used for using shared libraries
SHLIB_SUFFIX=	.so
EXT_SUFFIX=	.cpython-312-x86_64-linux-gnu.so
LDSHARED=	$(CC) -shared $(PY_LDFLAGS)
BLDSHARED=	$(CC) -shared $(PY_CORE_LDFLAGS)
LDCXXSHARED=	$(CXX) -shared
DESTSHARED=	$(BINLIBDEST)/lib-dynload

# List of exported symbols for AIX
EXPORTSYMS=	
EXPORTSFROM=	

# Executable suffix (.exe on Windows and Mac OS X)
EXE=		
BUILDEXE=	3

# Short name and location for Mac OS X Python framework
UNIVERSALSDK=
PYTHONFRAMEWORK=

=== rootfs-arm64/usr/lib/opsi-gel/gel-server-6/lib/python3.12/config-3.12-aarch64-linux-gnu/Makefile ===
# Generated automatically from Makefile.pre by makesetup.
# Top-level Makefile for Python
#
# As distributed, this file is called Makefile.pre.in; it is processed
# into the real Makefile by running the script ./configure, which
# replaces things like @spam@ with values appropriate for your system.
# This means that if you edit Makefile, your changes get lost the next
# time you run the configure script.  Ideally, you can do:
#
#	./configure
#	make
#	make test
#	make install
#
# If you have a previous version of Python installed that you don't
# want to overwrite, you can use "make altinstall" instead of "make
# install".  Refer to the "Installing" section in the README file for
# additional details.
#
# See also the section "Build instructions" in the README file.

# === Variables set by makesetup ===

MODBUILT_NAMES=      array  _asyncio  _bisect  _contextvars  _csv  _heapq  _json  _lsprof  _opcode  _pickle  _queue  _random  _struct  _xxsubinterpreters  _xxinterpchannels  _zoneinfo  math  cmath  _statistics  _datetime  _decimal  binascii  zlib  _md5  _sha1  _sha2  _sha3  _blake2  pyexpat  _elementtree  _codecs_cn  _codecs_hk  _codecs_iso2022  _codecs_jp  _codecs_kr  _codecs_tw  _multibytecodec  unicodedata  fcntl  grp  mmap  _posixsubprocess  resource  select  _socket  syslog  termios  _posixshmem  _multiprocessing  _ctypes  _ssl  _hashlib  _uuid  xxsubtype  _xxtestfuzz  _testbuffer  _testinternalcapi  _testcapi  _testclinic  _testimportmultiple  _testmultiphase  _testsinglephase  _ctypes_test  xxlimited  xxlimited_35  atexit  faulthandler  posix  _signal  _tracemalloc  _codecs  _collections  errno  _io  itertools  _sre  _thread  time  _typing  _weakref  _abc  _functools  _locale  _operator  _stat  _symtable  pwd
MODSHARED_NAMES=    array _asyncio _bisect _contextvars _csv _heapq _json _lsprof _opcode _pickle _queue _random _struct _xxsubinterpreters _xxinterpchannels _zoneinfo math cmath _statistics _datetime _decimal binascii zlib _md5 _sha1 _sha2 _sha3 _blake2 pyexpat _elementtree _codecs_cn _codecs_hk _codecs_iso2022 _codecs_jp _codecs_kr _codecs_tw _multibytecodec unicodedata fcntl grp mmap _posixsubprocess resource select _socket syslog termios _posixshmem _multiprocessing _ctypes _ssl _hashlib _uuid xxsubtype _xxtestfuzz _testbuffer _testinternalcapi _testcapi _testclinic _testimportmultiple _testmultiphase _testsinglephase _ctypes_test xxlimited xxlimited_35
MODDISABLED_NAMES=   _sqlite3 _tkinter _dbm _gdbm _lzma _bz2 _curses _curses_panel _crypt audioop readline nis ossaudiodev spwd
MODOBJS=             Modules/atexitmodule.o  Modules/faulthandler.o  Modules/posixmodule.o  Modules/signalmodule.o  Modules/_tracemalloc.o  Modules/_codecsmodule.o  Modules/_collectionsmodule.o  Modules/errnomodule.o  Modules/_io/_iomodule.o Modules/_io/iobase.o Modules/_io/fileio.o Modules/_io/bytesio.o Modules/_io/bufferedio.o Modules/_io/textio.o Modules/_io/stringio.o  Modules/itertoolsmodule.o  Modules/_sre/sre.o  Modules/_threadmodule.o  Modules/timemodule.o  Modules/_typingmodule.o  Modules/_weakref.o  Modules/_abc.o  Modules/_functoolsmodule.o  Modules/_localemodule.o  Modules/_operator.o  Modules/_stat.o  Modules/symtablemodule.o  Modules/pwdmodule.o
MODLIBS=           $(LOCALMODLIBS) $(BASEMODLIBS)

# === Variables set by configure
VERSION=	3.12
srcdir=		../../../gel-server/thirdparty/python-edgedb
VPATH=		../../../gel-server/thirdparty/python-edgedb
abs_srcdir=	/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/thirdparty/python-edgedb
abs_builddir=	/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb


CC=		gcc -pthread
CXX=		g++ -pthread
LINKCC=		$(PURIFY) $(CC)
AR=		ar
READELF=	@READELF@
SOABI=		cpython-312-aarch64-linux-gnu
LDVERSION=	$(VERSION)$(ABIFLAGS)
LIBPYTHON=	
GITVERSION=	
GITTAG=		
GITBRANCH=	
PGO_PROF_GEN_FLAG=-fprofile-generate
PGO_PROF_USE_FLAG=-fprofile-use -fprofile-correction
LLVM_PROF_MERGER=true
LLVM_PROF_FILE=
LLVM_PROF_ERR=no
DTRACE=         
DFLAGS=         
DTRACE_HEADERS= 
DTRACE_OBJS=    
DSYMUTIL=       
DSYMUTIL_PATH=  

GNULD=		yes

# Shell used by make (some versions default to the login shell, which is bad)
SHELL=		/bin/sh -e

# Use this to make a link between python$(VERSION) and python in $(BINDIR)
LN=		ln

# Portable install script (configure doesn't always guess right)
INSTALL=	/usr/bin/install -c
INSTALL_PROGRAM=${INSTALL}
INSTALL_SCRIPT= ${INSTALL}
INSTALL_DATA=	${INSTALL} -m 644
# Shared libraries must be installed with executable mode on some systems;
# rather than figuring out exactly which, we always give them executable mode.
INSTALL_SHARED= ${INSTALL} -m 755

MKDIR_P=	/usr/bin/mkdir -p

MAKESETUP=      $(srcdir)/Modules/makesetup

# Compiler options
OPT=		-DNDEBUG -g -O3 -Wall
BASECFLAGS=	 -fno-strict-overflow
BASECPPFLAGS=	-IObjects -IInclude -IPython
CONFIGURE_CFLAGS=	-fno-semantic-interposition
# CFLAGS_NODIST is used for building the interpreter and stdlib C extensions.
# Use it when a compiler flag should _not_ be part of the distutils CFLAGS
# once Python is installed (Issue #21121).
CONFIGURE_CFLAGS_NODIST= -fno-semantic-interposition -flto -fuse-linker-plugin -ffat-lto-objects -flto-partition=none -g -std=c11 -Werror=implicit-function-declaration -fvisibility=hidden
# LDFLAGS_NODIST is used in the same manner as CFLAGS_NODIST.
# Use it when a linker flag should _not_ be part of the distutils LDFLAGS
# once Python is installed (bpo-35257)
CONFIGURE_LDFLAGS_NODIST= -fno-semantic-interposition -flto -fuse-linker-plugin -ffat-lto-objects -flto-partition=none -g
# LDFLAGS_NOLTO is an extra flag to disable lto. It is used to speed up building
# of _bootstrap_python and _freeze_module tools, which don't need LTO.
CONFIGURE_LDFLAGS_NOLTO=-fno-lto
CONFIGURE_CPPFLAGS=	
CONFIGURE_LDFLAGS=	-Wl,-rpath,/opt/gel-server-6/lib -L/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libffi/opt/gel-server-6/lib -Wl,-rpath-link,/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libffi/opt/gel-server-6/lib -Wl,-rpath,/opt/gel-server-6/lib -L/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libb2/opt/gel-server-6/lib -Wl,-rpath-link,/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libb2/opt/gel-server-6/lib -Wl,-rpath,/opt/gel-server-6/lib -L/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/uuid/opt/gel-server-6/lib -Wl,-rpath-link,/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/uuid/opt/gel-server-6/lib -Wl,-rpath,/opt/gel-server-6/lib -L/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/zlib/opt/gel-server-6/lib -Wl,-rpath-link,/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/zlib/opt/gel-server-6/lib -Wl,-rpath,/opt/gel-server-6/lib -L/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/openssl/opt/gel-server-6/lib -Wl,-rpath-link,/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/openssl/opt/gel-server-6/lib -Wl,-rpath,/opt/gel-server-6/lib -static-libgcc -static-libstdc++ -Wl,--as-needed,-zorigin,--disable-new-dtags,-zrelro,-znow -L/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libffi/opt/gel-server-6/lib/ -Wl,-rpath-link,/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libffi/opt/gel-server-6/lib -L/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libb2/opt/gel-server-6/lib/ -Wl,-rpath-link,/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/libb2/opt/gel-server-6/lib -L/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/uuid/opt/gel-server-6/lib/ -Wl,-rpath-link,/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/uuid/opt/gel-server-6/lib -L/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/zlib/opt/gel-server-6/lib/ -Wl,-rpath-link,/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/zlib/opt/gel-server-6/lib -L/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/openssl/opt/gel-server-6/lib/ -Wl,-rpath-link,/tmp/metapkg.hlqw15cl/gel-server-6/_artifacts/build/python-edgedb/../../../gel-server/../_artifacts/install/openssl/opt/gel-server-6/lib
# Avoid assigning CFLAGS, LDFLAGS, etc. so users can use them on the
# command line to append to these values without stomping the pre-set
# values.
PY_CFLAGS=	$(BASECFLAGS) $(OPT) $(CONFIGURE_CFLAGS) $(CFLAGS) $(EXTRA_CFLAGS)
PY_CFLAGS_NODIST=$(CONFIGURE_CFLAGS_NODIST) $(CFLAGS_NODIST) -I$(srcdir)/Include/internal
# Both CPPFLAGS and LDFLAGS need to contain the shell's value for setup.py to
# be able to build extension modules using the directories specified in the
# environment variables
PY_CPPFLAGS=	$(BASECPPFLAGS) -I. -I$(srcdir)/Include $(CONFIGURE_CPPFLAGS) $(CPPFLAGS)
PY_LDFLAGS=	$(CONFIGURE_LDFLAGS) $(LDFLAGS)
PY_LDFLAGS_NODIST=$(CONFIGURE_LDFLAGS_NODIST) $(LDFLAGS_NODIST)
PY_LDFLAGS_NOLTO=$(PY_LDFLAGS) $(CONFIGURE_LDFLAGS_NOLTO) $(LDFLAGS_NODIST)
NO_AS_NEEDED=	-Wl,--no-as-needed
CCSHARED=	-fPIC
# LINKFORSHARED are the flags passed to the $(CC) command that links
# the python executable -- this is only needed for a few systems
LINKFORSHARED=	-Xlinker -export-dynamic
ARFLAGS=	rcs
# Extra C flags added for building the interpreter object files.
CFLAGSFORSHARED=
# C flags used for building the interpreter object files
PY_STDMODULE_CFLAGS= $(PY_CFLAGS) $(PY_CFLAGS_NODIST) $(PY_CPPFLAGS) $(CFLAGSFORSHARED)
PY_BUILTIN_MODULE_CFLAGS= $(PY_STDMODULE_CFLAGS) -DPy_BUILD_CORE_BUILTIN
PY_CORE_CFLAGS=	$(PY_STDMODULE_CFLAGS) -DPy_BUILD_CORE
# Linker flags used for building the interpreter object files
PY_CORE_LDFLAGS=$(PY_LDFLAGS) $(PY_LDFLAGS_NODIST)
# Strict or non-strict aliasing flags used to compile dtoa.c, see above
CFLAGS_ALIASING=


# Machine-dependent subdirectories
MACHDEP=	linux

# Multiarch directory (may be empty)
MULTIARCH=	aarch64-linux-gnu
MULTIARCH_CPPFLAGS = -DMULTIARCH=\"aarch64-linux-gnu\"

# Install prefix for architecture-independent files
prefix=		/opt/gel-server-6

# Install prefix for architecture-dependent files
exec_prefix=	${prefix}

# Install prefix for data files
datarootdir=    /opt/gel-server-6/share

# Expanded directories
BINDIR=		/opt/gel-server-6/bin
LIBDIR=		/opt/gel-server-6/lib
MANDIR=		/opt/gel-server-6/share/man
INCLUDEDIR=	/opt/gel-server-6/include
CONFINCLUDEDIR= /opt/gel-server-6/include
PLATLIBDIR=	lib
SCRIPTDIR=	$(prefix)/$(PLATLIBDIR)
ABIFLAGS=	
# executable name for shebangs
EXENAME=	$(BINDIR)/python$(LDVERSION)$(EXE)
# Variable used by ensurepip
WHEEL_PKG_DIR=	

# Detailed destination directories
BINLIBDEST=	$(LIBDIR)/python$(VERSION)
LIBDEST=	$(SCRIPTDIR)/python$(VERSION)
INCLUDEPY=	$(INCLUDEDIR)/python$(LDVERSION)
CONFINCLUDEPY=	$(CONFINCLUDEDIR)/python$(LDVERSION)

# Symbols used for using shared libraries
SHLIB_SUFFIX=	.so
EXT_SUFFIX=	.cpython-312-aarch64-linux-gnu.so
LDSHARED=	$(CC) -shared $(PY_LDFLAGS)
BLDSHARED=	$(CC) -shared $(PY_CORE_LDFLAGS)
LDCXXSHARED=	$(CXX) -shared
DESTSHARED=	$(BINLIBDEST)/lib-dynload

# List of exported symbols for AIX
EXPORTSYMS=	
EXPORTSFROM=	

# Executable suffix (.exe on Windows and Mac OS X)
EXE=		
BUILDEXE=	3

# Short name and location for Mac OS X Python framework
UNIVERSALSDK=
PYTHONFRAMEWORK=

=== rootfs-amd64/usr/lib/opsi-gel/gel-server-6/share/tests/extension-testing/ext_test/Makefile ===
# Configurable parts
SQL_MODULE := sql

### Boilerplate
PYTHON := python3
EDB := $(PYTHON) -m edb.tools $(EDBFLAGS)
MKS := $(shell $(EDB) config --make-include)
include $(MKS)
### End Boilerplate

=== rootfs-amd64/usr/lib/opsi-gel/gel-server-6/share/tests/extension-testing/ext_test/sql/Makefile ===
MODULES = get_sum
EXTENSION = get_sum
DATA = get_sum--0.0.1.sql
REGRESS = get_sum_test

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
opsi-gel (6.11-1) stable; urgency=medium

  * Changed: No public changes

 -- Jan Schneider <j.schneider@uib.de>  Fri, 26 Sep 2025 20:33:17 +0200

=== debian/control ===
Source: opsi-gel
Section: opsi
Priority: optional
Maintainer: uib GmbH <info@uib.de>
Homepage: https://www.opsi.org
Build-Depends: debhelper (>= 9.2~)
Standards-Version: 3.9.4

Package: opsi-gel
Section: opsi
Architecture: any
Pre-Depends: 
Depends: 
Suggests: 
Provides: 
Breaks: 
Replaces: 
Conflicts: 
Description: opsi-gel
 Gel for opsi

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

clean:
	dh_testdir
	dh_clean
	rm -f debian/files || true

build:

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	$(eval sys_arch=$(shell dpkg --print-architecture))
	if [ -d rootfs ]; then cp -a rootfs/* debian/opsi-gel/; fi;
	if [ -d rootfs-$(sys_arch) ]; then cp -a rootfs-$(sys_arch)/* debian/opsi-gel/; fi;
	
	dh_install

binary-indep: install
	dh_testdir -i
	dh_installdebconf
	dh_installchangelogs
	dh_installdocs
	dh_systemd_enable --name=opsi-gel-server-6
	dh_systemd_start --name=opsi-gel-server-6
	dh_md5sums
	dh_gencontrol
	dh_installdeb
	dh_builddeb

binary: binary-indep
build:
.PHONY: clean binary-indep binary install build
